This URL deletes a rule object. If the rule object is in use, the rule object will not be deleted.
Resource URL
DELETE /ruleobject/<ruleobject_id>
Request Parameters
URL Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Unique id of rule object | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Status returned by deletion | Number |
Example
Request
DELETE https://<NSM_IP>/sdkapi/ruleobject/121
Response
{
"status":1
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1707 | Default rule objects cannot be created/updated/deleted |
2 | 400 | 1715 | Assigned rule object cannot be deleted |
3 | 400 | 1720 | Invalid rule object Id/ rule object not visible to this domain |